Bug 1418612 (CVE-2016-10197) - CVE-2016-10197 libevent: Out-of-bounds read in search_make_new()
Summary: CVE-2016-10197 libevent: Out-of-bounds read in search_make_new()
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10197
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418616
Blocks: 1418615
TreeView+ depends on / blocked
 
Reported: 2017-02-02 10:36 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out of bounds read vulnerability was found in libevent in the search_make_new function. If an attacker could cause an application using libevent to attempt resolving an empty hostname, an out of bounds read could occur possibly leading to a crash.
Clone Of:
Environment:
Last Closed: 2017-03-24 04:59:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1201 normal SHIPPED_LIVE Important: thunderbird security update 2017-05-08 10:45:45 UTC

Description Andrej Nemec 2017-02-02 10:36:27 UTC
A vulnerability was found in libevent. There is an out-of-bounds read in the DNS code of Libevent.

Upstream bug:

https://github.com/libevent/libevent/issues/332

Upstream patch:

https://github.com/libevent/libevent/commit/ec65c42052d95d2c23d1d837136d1cf1d9ecef9e

Comment 1 Andrej Nemec 2017-02-02 10:41:40 UTC
Created libevent tracking bugs for this issue:

Affects: fedora-all [bug 1418616]

Comment 4 errata-xmlrpc 2017-05-08 06:46:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1201 https://access.redhat.com/errata/RHSA-2017:1201


Note You need to log in before you can comment on or make changes to this bug.